Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.PosProcessor.SimplePOSResult22
Class SimplePOSResult22

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.PosProcessor.SimplePOSResult22.SimplePOSResult22

All Implemented Interfaces:
  Plugin, PosProcessor

    public class SimplePOSResult22

extends java.lang.Object
implements PosProcessor

This plug-in changes the detailed POS tagging analysis results to be simple. The KAIST tag set has 69 morpheme tags but this plug-in uses 22 tags:
NC(보통명사), NQ(고유명사), NB(의존명사), NP(대명사), NN(수사)
PV(동사), PA(형용사), PX(보조용언)
MM(관형사), MA(부사)
II(감탄사)
JC(격조사), JX(보조사), JP(서술격조사)
EP(선얼말어미), EC(연결어미), ET(전성어미), EF(종결어미)
XP(접두사), XS(접미사)
S(기호)
F(외국어)
It is a POS Processor plug-in which is a supplement plug-in of phase 3 in HanNanum work flow.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private java.util.ArrayList<java.lang.String>` | `morphemeList` temporary list for morpheme tags
`private int` | `TAG_LEVEL` the level of analysis
`private java.util.ArrayList<java.lang.String>` | `tagList` temporary list for new tags

Constructor Summary
`SimplePOSResult22()` Constructor.

Method Summary
`Sentence` | `doProcess(Sentence st)` It changes the morphological analysis result with 69 KAIST tags to the simplified result with 22 tags.
`void` | `initialize(java.lang.String baseDir, java.lang.String configFile)` This method is called before the work flow starts in order to initialize the plug-in.
`void` | `shutdown()` This method is called before the work flow is closed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_LEVEL

    private final int TAG_LEVEL

  the level of analysis

  See Also:
    Constant Field Values

### tagList

    private java.util.ArrayList<java.lang.String> tagList

  temporary list for new tags

### morphemeList

    private java.util.ArrayList<java.lang.String> morphemeList

  temporary list for morpheme tags

Constructor Detail

### SimplePOSResult22

    public SimplePOSResult22()

  Constructor.

Method Detail

### doProcess

    public Sentence doProcess(Sentence st)

  It changes the morphological analysis result with 69 KAIST tags to the simplified result with 22 tags.

  Specified by:
    `doProcess` in interface `PosProcessor`
  Parameters:
    `st` - - the result of morphological analysis where each eojeol has more than analysis result
  Returns:
    the simplified POS tagging result

### initialize

    public void initialize(java.lang.String baseDir,
                           java.lang.String configFile)
                    throws java.lang.Exception

  Description copied from interface: `Plugin`
  This method is called before the work flow starts in order to initialize the plug-in. A configuration file can be passed to the plug-in, which makes the plug-in more flexible.

  Specified by:
    `initialize` in interface `Plugin`
  Parameters:
    `baseDir` - - the base directory of HanNanum files
    `configFile` - - the path for the configuration file
  Throws:
    `java.lang.Exception` - x

### shutdown

    public void shutdown()

  Description copied from interface: `Plugin`
  This method is called before the work flow is closed.

  Specified by:
    `shutdown` in interface `Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD